Well, well, well... Amarok 1.4.10

Moderators: b1o, jkerr82508

User avatar
dedanna1029
Sound-Berserk
Posts: 8623
Joined: 14 Mar 2010, 20:29
Contact:

Well, well, well... Amarok 1.4.10

Postby dedanna1029 » 23 Nov 2012, 08:18

Someone should snag this, and hide it and keep it in such far reaches that it will never disappear... :mrgreen:
I'd rather be a free person who fears terrorists, than be a "safe" person who fears the government.
No gods, no masters.
"A druid is by nature anarchistic, that is, submits to no one."
http://uk.druidcollege.org/faqs.html

User avatar
viking60
Über-Berserk
Posts: 9320
Joined: 14 Mar 2010, 16:34

Re: Well, well, well... Amarok 1.4.10

Postby viking60 » 23 Nov 2012, 09:28

You are being mysterious again :naughty: As you have learned in School you must always elaborate the reason for those dynamic statements.
Are you unhappy with the development of Amarok?
Manjaro 64bit on the main box -Intel(R) Core(TM) i7 CPU 920 @ 2.67GHz and nVidia Corporation GT200b [GeForce GTX 275] (rev a1. + Centos on the server - Arch on the laptop.
"There are no stupid questions - Only stupid answers!"

User avatar
dubigrasu
Gaming-Berserk
Posts: 81
Joined: 20 Nov 2010, 15:59

Re: Well, well, well... Amarok 1.4.10

Postby dubigrasu » 23 Nov 2012, 18:30

viking60 wrote:You are being mysterious again :naughty: As you have learned in School you must always elaborate the reason for those dynamic statements.
Are you unhappy with the development of Amarok?


Do not know about dedanna but I was really unhappy about it. But to tell the truth I have no idea what is new in its development lately because I simply forgot about its existence past 1.4.10. version.

One of the first thing that I do after a new distro install is to install the old faithful 1.4.10.
Last time I checked the new version was like one of those extremely irritating crap loaded new phones that you have to struggle with in order to make a simple call.

User avatar
dedanna1029
Sound-Berserk
Posts: 8623
Joined: 14 Mar 2010, 20:29
Contact:

Re: Well, well, well... Amarok 1.4.10

Postby dedanna1029 » 23 Nov 2012, 20:00

Bingo. What he said. ^^

I'm gathering all the dependencies to install it. A bit challenging, but very, very worth it. :)
I'm also doing it with the --noclean option, so I will always have them.

I posted that just for the reason I stated, so it would never disappear. If it disappears from the link there, at least I have it and at some point can host it. I'm quite glad they posted that there. Amarok2 sucks bigger than Dick Cheney on GWB.
I'd rather be a free person who fears terrorists, than be a "safe" person who fears the government.
No gods, no masters.
"A druid is by nature anarchistic, that is, submits to no one."
http://uk.druidcollege.org/faqs.html

User avatar
dedanna1029
Sound-Berserk
Posts: 8623
Joined: 14 Mar 2010, 20:29
Contact:

Re: Well, well, well... Amarok 1.4.10

Postby dedanna1029 » 24 Nov 2012, 02:05

Well, all went well, until I ran into a snag. I'm having a heckuva time compiling Amarok 1.4.10 on CentOS 6.2. Keep getting "can't find header files for ruby" error, but they're installed with ruby-devel:

Code: Select all

:) rpm -qa | grep ruby
ruby-libs-1.8.7.352-7.el6_2.i686
ruby-static-1.8.7.352-7.el6_2.i686
ruby-devel-1.8.7.352-7.el6_2.i686


Errors go as follows:

Code: Select all

checking for ruby... no
./configure: line 40869: no: command not found
./configure: line 40870: no: command not found
checking ruby.h usability... no
checking ruby.h presence... no
checking for ruby.h... no
checking if amarok should be compiled... no
checking if doc should be compiled... yes
checking if po should be compiled... yes
configure: creating ./config.status
wrong input (flag != 4) at admin/conf.change.pl line 117, <> line 1533.

==========================
=== Amarok - ERROR ==========================================================
==========================
=
= The Ruby programming language is not installed. Please obtain Ruby
= (version 1.8 or later) from http://ruby-lang.org, or install a distribution
= package. To build Amarok requires the Ruby header files as well, which some
= distributions package separately.
=
==================================
=== AMAROK WILL NOT BE BUILT ================================================
==================================
=
= Some mandatory dependencies are either not installed or not installed
= correctly. See the Amarok README for help with this issue. Further assistance
= can be found at http://amarok.kde.org or in amarok on irc.freenode.net.
= You will still be able to build other modules from extragear/multimedia.
=
===============================================================================

I'm not really up for going the rvm route - I can't figure the thing out. I don't know where it's thinking that ruby headers aren't installed, since ruby-devel>1.8 is installed. If/when I can get this resolved, I'm sure it will fly.
I'd rather be a free person who fears terrorists, than be a "safe" person who fears the government.
No gods, no masters.
"A druid is by nature anarchistic, that is, submits to no one."
http://uk.druidcollege.org/faqs.html

User avatar
viking60
Über-Berserk
Posts: 9320
Joined: 14 Mar 2010, 16:34

Re: Well, well, well... Amarok 1.4.10

Postby viking60 » 02 Dec 2012, 23:09

I can only bow to the expertise of our Sound and Gaming berserks (mainly 'cause I have no clue what you are talking about). I use Clementine that seems to work...
Manjaro 64bit on the main box -Intel(R) Core(TM) i7 CPU 920 @ 2.67GHz and nVidia Corporation GT200b [GeForce GTX 275] (rev a1. + Centos on the server - Arch on the laptop.
"There are no stupid questions - Only stupid answers!"

User avatar
dedanna1029
Sound-Berserk
Posts: 8623
Joined: 14 Mar 2010, 20:29
Contact:

Re: Well, well, well... Amarok 1.4.10

Postby dedanna1029 » 04 Dec 2012, 08:33

There's no Clementine for Cent0S 6.2, and it won't compile, either. I'm having even more issues compiling it than I'm having with Amarok 1.4.10.

I'm not as fond, either, of Clementine as I once was. It's become resource hoggy, and a pain in the arse in a lot of ways. It was to where it wouldn't even run on Mint, it was such a resource hog, bogging things (not to mention itself) down.

I have a feeling I'd have to go through rvm to get Ruby going for Amarok, and that I'm not in the mood to sort out how to use.

So, for now, I've kind of gone back to my XMMS roots - always did love it, but it's not even in the repos, so I did the next best thing...
I'd rather be a free person who fears terrorists, than be a "safe" person who fears the government.
No gods, no masters.
"A druid is by nature anarchistic, that is, submits to no one."
http://uk.druidcollege.org/faqs.html


Return to “Audio/video”